/*
 * @author Ranides Atterwim {@literal <ranides@gmail.com>}
 * @copyright Ranides Atterwim
 * @license WTFPL
 * @url http://ranides.net/projects/assira
 */
package net.ranides.assira.xml;

/**
 * Unchecked exception thrown by XMLElement.
 *
 * @author Ranides Atterwim {@literal <ranides@gmail.com>}
 */
public class XMLException extends RuntimeException {
    
    private static final long serialVersionUID = 1L;

    /**
     * Constructs new XMLException
     *
     * @param cause cause
     */
    public XMLException(Throwable cause) {
        super(cause);
    }

    /**
     * Constructs new XMLException
     *
     * @param message message
     */
    public XMLException(String message) {
        super(message);
    }

    /**
     * Constructs new XMLException
     *
     * @param message message
     * @param cause cause
     */
    public XMLException(String message, Throwable cause) {
        super(message, cause);
    }
    
}
